# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.THandleIdentifier

Packages that use THandleIdentifier
Package
Description
com.databricks.jdbc.dbclient.impl.common
com.databricks.jdbc.model.client.thrift.generated

## Uses of THandleIdentifier in com.databricks.jdbc.dbclient.impl.common

Methods in com.databricks.jdbc.dbclient.impl.common that return THandleIdentifier
Modifier and Type
Method
Description
`THandleIdentifier`
StatementId.`toOperationIdentifier()`
Returns a Thrift operation handle for the given StatementId
Constructors in com.databricks.jdbc.dbclient.impl.common with parameters of type THandleIdentifier
Modifier
Constructor
Description
``
`SessionId(THandleIdentifier identifier, IDatabricksComputeResource computeResource)`
Constructs a SessionId identifier for a given Thrift Server session-Id
``
`StatementId(THandleIdentifier identifier)`
Constructs a StatementId identifier for a given Thrift Server operation handle

## Uses of THandleIdentifier in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type THandleIdentifier
Modifier and Type
Class
Description
`class`
`THandleIdentifier`
`class`
`THandleIdentifier`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as THandleIdentifier
Modifier and Type
Field
Description
`THandleIdentifier`
TOperationHandle.`operationId`
`THandleIdentifier`
TSessionHandle.`sessionId`
Methods in com.databricks.jdbc.model.client.thrift.generated that return THandleIdentifier
Modifier and Type
Method
Description
`THandleIdentifier`
THandleIdentifier.`deepCopy()`
`THandleIdentifier`
TOperationHandle.`getOperationId()`
`THandleIdentifier`
TSessionHandle.`getSessionId()`
`THandleIdentifier`
THandleIdentifier.`setGuid(byte[] guid)`
`THandleIdentifier`
THandleIdentifier.`setGuid(ByteBuffer guid)`
`THandleIdentifier`
THandleIdentifier.`setSecret(byte[] secret)`
`THandleIdentifier`
THandleIdentifier.`setSecret(ByteBuffer secret)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type THandleIdentifier
Modifier and Type
Method
Description
`int`
THandleIdentifier.`compareTo(THandleIdentifier other)`
`boolean`
THandleIdentifier.`equals(THandleIdentifier that)`
`TOperationHandle`
TOperationHandle.`setOperationId(THandleIdentifier operationId)`
`TSessionHandle`
TSessionHandle.`setSessionId(THandleIdentifier sessionId)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type THandleIdentifier
Modifier
Constructor
Description
``
`THandleIdentifier(THandleIdentifier other)`
Performs a deep copy on other.
``
`TOperationHandle(THandleIdentifier operationId, TOperationType operationType, boolean hasResultSet)`
``
`TSessionHandle(THandleIdentifier sessionId)`